Show / Hide Table of Contents

# Class OpenIddictServerHandlers.Device.ValidateScopes

Contains the logic responsible of rejecting authorization requests that use unregistered scopes. Note: this handler partially works with the degraded mode but is not used when scope validation is disabled.

##### Inheritance

System.Object
OpenIddictServerHandlers.Device.ValidateScopes

##### Implements

IOpenIddictServerHandler<ValidateDeviceRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateScopes : IOpenIddictServerHandler<ValidateDeviceRequestContext>

### Constructors

#### ValidateScopes(Nullable<IOpenIddictScopeManager>)

##### Declaration

    public ValidateScopes(IOpenIddictScopeManager? scopeManager = default(IOpenIddictScopeManager? ))

##### Parameters

Type | Name | Description
--- | --- | ---
System.Nullable<IOpenIddictScopeManager> | scopeManager |

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Implements

IOpenIddictServerHandler<TContext>